## org.h2.mvstore.type
Class ObjectTypeFactory

    java.lang.Object
      org.h2.mvstore.type.ObjectTypeFactory

All Implemented Interfaces:
  DataTypeFactory

    public class ObjectTypeFactory

extends java.lang.Object
implements DataTypeFactory

A data type factory.

Constructor Summary
`ObjectTypeFactory()`

Method Summary
`DataType` `buildDataType(java.lang.String s)` Parse the data type.
`java.lang.String` `getDataType(java.lang.Class<?> objectClass)` Get the data type identifier for the given class.
`void` `setParent(DataTypeFactory parent)` Set the parent factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectTypeFactory

    public ObjectTypeFactory()

Method Detail

### setParent

    public void setParent(DataTypeFactory parent)

  Description copied from interface: `DataTypeFactory`
  Set the parent factory.

  Specified by:
    `setParent` in interface `DataTypeFactory`
  Parameters:
    `parent` - the parent factory

### buildDataType

    public DataType buildDataType(java.lang.String s)

  Description copied from interface: `DataTypeFactory`
  Parse the data type.

  Specified by:
    `buildDataType` in interface `DataTypeFactory`
  Parameters:
    `s` - the string and type specific meta data
  Returns:
    the type, or null if unknown

### getDataType

    public java.lang.String getDataType(java.lang.Class<?> objectClass)

  Description copied from interface: `DataTypeFactory`
  Get the data type identifier for the given class.

  To avoid conflict with the default factory, the returned string should start with the package name of the type factory.

  Specified by:
    `getDataType` in interface `DataTypeFactory`
  Parameters:
    `objectClass` - the class
  Returns:
    the data type identifier, or null if not supported